## rhino 0.6.4

=== DESCRIPTION ===
Package: rhino
Title: A Framework for Enterprise Shiny Applications
Version: 0.6.4
Authors@R: 
  c(
    person("Kamil", "Zyla", role = c("aut", "cre"), email = "kamil@appsilon.com"),
    person("Jakub", "Nowicki", role = "aut", email = "kuba@appsilon.com"),
    person("Tymoteusz", "Makowski", role = "aut", email = "tymoteusz@appsilon.com"),
    person("Marek", "Rogala", role = "aut", email = "marek@appsilon.com"),
    person("Appsilon Sp. z o.o.", role = "cph", email = "opensource@appsilon.com")
  )
Description: A framework that supports creating and extending enterprise Shiny applications using best practices.
URL: https://appsilon.github.io/rhino/,
        https://github.com/Appsilon/rhino
BugReports: https://github.com/Appsilon/rhino/issues
License: LGPL-3
Encoding: UTF-8
RoxygenNote: 7.1.2
VignetteBuilder: knitr
Imports: box, cli, fs, glue, lintr (>= 2.0.0), logger, purrr, renv,
        sass, shiny, styler, testthat (>= 3.0.0), utils, withr, yaml
Suggests: knitr, rmarkdown
Config/testthat/edition: 3
Config/testthat/parallel: true
NeedsCompilation: no
Packaged: 2022-03-17 13:15:43 UTC; kamil
Author: Kamil Zyla [aut, cre],
  Jakub Nowicki [aut],
  Tymoteusz Makowski [aut],
  Marek Rogala [aut],
  Appsilon Sp. z o.o. [cph]
Maintainer: Kamil Zyla <kamil@appsilon.com>
Repository: CRAN
Date/Publication: 2022-03-17 20:30:02 UTC

## rhino 1.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 0.6.4
+Version: 1.0.0
 Authors@R: 
   c(
     person("Kamil", "Zyla", role = c("aut", "cre"), email = "kamil@appsilon.com"),
@@ -16,14 +16,16 @@
 License: LGPL-3
 Encoding: UTF-8
 RoxygenNote: 7.1.2
-VignetteBuilder: knitr
-Imports: box, cli, fs, glue, lintr (>= 2.0.0), logger, purrr, renv,
-        sass, shiny, styler, testthat (>= 3.0.0), utils, withr, yaml
+Depends: R (>= 2.10)
+Imports: box, cli, config, fs, glue, lintr (>= 2.0.0), logger, purrr,
+        renv, rstudioapi, sass, shiny, styler, testthat (>= 3.0.0),
+        utils, withr, yaml
 Suggests: knitr, rmarkdown
+LazyData: true
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 NeedsCompilation: no
-Packaged: 2022-03-17 13:15:43 UTC; kamil
+Packaged: 2022-04-19 15:58:16 UTC; kamil
 Author: Kamil Zyla [aut, cre],
   Jakub Nowicki [aut],
   Tymoteusz Makowski [aut],
@@ -31,4 +33,4 @@
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Zyla <kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2022-03-17 20:30:02 UTC
+Date/Publication: 2022-04-19 16:10:02 UTC

## rhino 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.0.0
+Version: 1.1.0
 Authors@R: 
   c(
     person("Kamil", "Zyla", role = c("aut", "cre"), email = "kamil@appsilon.com"),
@@ -20,12 +20,12 @@
 Imports: box, cli, config, fs, glue, lintr (>= 2.0.0), logger, purrr,
         renv, rstudioapi, sass, shiny, styler, testthat (>= 3.0.0),
         utils, withr, yaml
-Suggests: knitr, rmarkdown
+Suggests: knitr, mockery, rcmdcheck, rmarkdown
 LazyData: true
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 NeedsCompilation: no
-Packaged: 2022-04-19 15:58:16 UTC; kamil
+Packaged: 2022-07-12 08:27:33 UTC; kamil
 Author: Kamil Zyla [aut, cre],
   Jakub Nowicki [aut],
   Tymoteusz Makowski [aut],
@@ -33,4 +33,4 @@
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Zyla <kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2022-04-19 16:10:02 UTC
+Date/Publication: 2022-07-12 08:40:02 UTC

## rhino 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: 
   c(
     person("Kamil", "Zyla", role = c("aut", "cre"), email = "kamil@appsilon.com"),
@@ -15,7 +15,7 @@
 BugReports: https://github.com/Appsilon/rhino/issues
 License: LGPL-3
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 Depends: R (>= 2.10)
 Imports: box, cli, config, fs, glue, lintr (>= 2.0.0), logger, purrr,
         renv, rstudioapi, sass, shiny, styler, testthat (>= 3.0.0),
@@ -25,7 +25,7 @@
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 NeedsCompilation: no
-Packaged: 2022-07-12 08:27:33 UTC; kamil
+Packaged: 2022-09-07 13:28:57 UTC; kamil
 Author: Kamil Zyla [aut, cre],
   Jakub Nowicki [aut],
   Tymoteusz Makowski [aut],
@@ -33,4 +33,4 @@
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Zyla <kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2022-07-12 08:40:02 UTC
+Date/Publication: 2022-09-07 13:40:02 UTC

## rhino 1.2.0

=== DESCRIPTION ===
Package: rhino
Title: A Framework for Enterprise Shiny Applications
Version: 1.2.0
Authors@R: 
  c(
    person("Kamil", "Żyła", role = c("aut", "cre"), email = "opensource+kamil@appsilon.com"),
    person("Jakub", "Nowicki", role = "aut", email = "kuba@appsilon.com"),
    person("Leszek", "Siemiński", role = "aut", email = "leszek.sieminski@appsilon.com"),
    person("Marek", "Rogala", role = "aut", email = "marek@appsilon.com"),
    person("Recle", "Vibal", role = "aut", email = "recle.vibal@appsilon.com"),
    person("Tymoteusz", "Makowski", role = "aut", email = "tymek.makowski@gmail.com"),
    person("Appsilon Sp. z o.o.", role = "cph", email = "opensource@appsilon.com")
  )
Description: A framework that supports creating and extending enterprise Shiny applications using best practices.
URL: https://appsilon.github.io/rhino/,
        https://github.com/Appsilon/rhino
BugReports: https://github.com/Appsilon/rhino/issues
License: LGPL-3
Encoding: UTF-8
RoxygenNote: 7.2.1
Depends: R (>= 2.10)
Imports: box, cli, config, fs, glue, lintr (>= 3.0.0), logger, purrr,
        renv, rstudioapi, sass, shiny, styler, testthat (>= 3.0.0),
        utils, withr, yaml
Suggests: knitr, mockery, rcmdcheck, rmarkdown, spelling
LazyData: true
Config/testthat/edition: 3
Config/testthat/parallel: true
Language: en-US
NeedsCompilation: no
Packaged: 2022-11-25 15:37:24 UTC; kamil
Author: Kamil Żyła [aut, cre],
  Jakub Nowicki [aut],
  Leszek Siemiński [aut],
  Marek Rogala [aut],
  Recle Vibal [aut],
  Tymoteusz Makowski [aut],
  Appsilon Sp. z o.o. [cph]
Maintainer: Kamil Żyła <opensource+kamil@appsilon.com>
Repository: CRAN
Date/Publication: 2022-11-27 22:30:02 UTC

## rhino 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.2.0
+Version: 1.2.1
 Authors@R: 
   c(
     person("Kamil", "Żyła", role = c("aut", "cre"), email = "opensource+kamil@appsilon.com"),
@@ -28,7 +28,7 @@
 Config/testthat/parallel: true
 Language: en-US
 NeedsCompilation: no
-Packaged: 2022-11-25 15:37:24 UTC; kamil
+Packaged: 2022-11-30 10:59:30 UTC; Recle E. Vibal
 Author: Kamil Żyła [aut, cre],
   Jakub Nowicki [aut],
   Leszek Siemiński [aut],
@@ -38,4 +38,4 @@
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Żyła <opensource+kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2022-11-27 22:30:02 UTC
+Date/Publication: 2022-11-30 11:20:02 UTC

## rhino 1.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.2.1
+Version: 1.3.0
 Authors@R: 
   c(
     person("Kamil", "Żyła", role = c("aut", "cre"), email = "opensource+kamil@appsilon.com"),
@@ -17,18 +17,18 @@
 BugReports: https://github.com/Appsilon/rhino/issues
 License: LGPL-3
 Encoding: UTF-8
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Depends: R (>= 2.10)
 Imports: box, cli, config, fs, glue, lintr (>= 3.0.0), logger, purrr,
         renv, rstudioapi, sass, shiny, styler, testthat (>= 3.0.0),
         utils, withr, yaml
-Suggests: knitr, mockery, rcmdcheck, rmarkdown, spelling
+Suggests: covr, knitr, mockery, rcmdcheck, rmarkdown, spelling
 LazyData: true
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 Language: en-US
 NeedsCompilation: no
-Packaged: 2022-11-30 10:59:30 UTC; Recle E. Vibal
+Packaged: 2022-12-22 12:35:49 UTC; kamil
 Author: Kamil Żyła [aut, cre],
   Jakub Nowicki [aut],
   Leszek Siemiński [aut],
@@ -38,4 +38,4 @@
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Żyła <opensource+kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2022-11-30 11:20:02 UTC
+Date/Publication: 2022-12-22 12:50:02 UTC

## rhino 1.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.3.0
+Version: 1.3.1
 Authors@R: 
   c(
     person("Kamil", "Żyła", role = c("aut", "cre"), email = "opensource+kamil@appsilon.com"),
@@ -28,7 +28,7 @@
 Config/testthat/parallel: true
 Language: en-US
 NeedsCompilation: no
-Packaged: 2022-12-22 12:35:49 UTC; kamil
+Packaged: 2023-05-12 13:50:28 UTC; kamil
 Author: Kamil Żyła [aut, cre],
   Jakub Nowicki [aut],
   Leszek Siemiński [aut],
@@ -38,4 +38,4 @@
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Żyła <opensource+kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2022-12-22 12:50:02 UTC
+Date/Publication: 2023-05-12 14:10:06 UTC

## rhino 1.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.3.1
+Version: 1.4.0
 Authors@R: 
   c(
     person("Kamil", "Żyła", role = c("aut", "cre"), email = "opensource+kamil@appsilon.com"),
@@ -19,16 +19,17 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 Depends: R (>= 2.10)
-Imports: box, cli, config, fs, glue, lintr (>= 3.0.0), logger, purrr,
-        renv, rstudioapi, sass, shiny, styler, testthat (>= 3.0.0),
-        utils, withr, yaml
-Suggests: covr, knitr, mockery, rcmdcheck, rmarkdown, spelling
+Imports: box (>= 1.1.3), cli, config, fs, glue, lintr (>= 3.0.0),
+        logger, purrr, renv, rstudioapi, sass, shiny, styler, testthat
+        (>= 3.0.0), utils, withr, yaml
+Suggests: covr, knitr, mockery, rcmdcheck, rmarkdown, shiny.react,
+        spelling
 LazyData: true
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 Language: en-US
 NeedsCompilation: no
-Packaged: 2023-05-12 13:50:28 UTC; kamil
+Packaged: 2023-07-06 14:31:25 UTC; kamil
 Author: Kamil Żyła [aut, cre],
   Jakub Nowicki [aut],
   Leszek Siemiński [aut],
@@ -38,4 +39,4 @@
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Żyła <opensource+kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2023-05-12 14:10:06 UTC
+Date/Publication: 2023-07-06 15:00:02 UTC

## rhino 1.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.4.0
+Version: 1.5.0
 Authors@R: 
   c(
     person("Kamil", "Żyła", role = c("aut", "cre"), email = "opensource+kamil@appsilon.com"),
@@ -8,7 +8,8 @@
     person("Leszek", "Siemiński", role = "aut", email = "leszek.sieminski@appsilon.com"),
     person("Marek", "Rogala", role = "aut", email = "marek@appsilon.com"),
     person("Recle", "Vibal", role = "aut", email = "recle.vibal@appsilon.com"),
-    person("Tymoteusz", "Makowski", role = "aut", email = "tymek.makowski@gmail.com"),
+    person("Tymoteusz", "Makowski", role = "aut", email = "tymoteusz@appsilon.com"),
+    person("Eduardo", "Almeida", role = "ctb", email = "eduardo@appsilon.com"),
     person("Appsilon Sp. z o.o.", role = "cph", email = "opensource@appsilon.com")
   )
 Description: A framework that supports creating and extending enterprise Shiny applications using best practices.
@@ -29,14 +30,15 @@
 Config/testthat/parallel: true
 Language: en-US
 NeedsCompilation: no
-Packaged: 2023-07-06 14:31:25 UTC; kamil
+Packaged: 2023-09-06 13:41:42 UTC; kuba
 Author: Kamil Żyła [aut, cre],
   Jakub Nowicki [aut],
   Leszek Siemiński [aut],
   Marek Rogala [aut],
   Recle Vibal [aut],
   Tymoteusz Makowski [aut],
+  Eduardo Almeida [ctb],
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Żyła <opensource+kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2023-07-06 15:00:02 UTC
+Date/Publication: 2023-09-06 14:00:02 UTC

## rhino 1.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.5.0
+Version: 1.6.0
 Authors@R: 
   c(
     person("Kamil", "Żyła", role = c("aut", "cre"), email = "opensource+kamil@appsilon.com"),
@@ -30,7 +30,7 @@
 Config/testthat/parallel: true
 Language: en-US
 NeedsCompilation: no
-Packaged: 2023-09-06 13:41:42 UTC; kuba
+Packaged: 2024-01-24 17:02:48 UTC; kamil
 Author: Kamil Żyła [aut, cre],
   Jakub Nowicki [aut],
   Leszek Siemiński [aut],
@@ -41,4 +41,4 @@
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Żyła <opensource+kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2023-09-06 14:00:02 UTC
+Date/Publication: 2024-01-24 17:30:02 UTC

## rhino 1.7R3

=== debian/changelog ===
rhino (1.7R3-2) unstable; urgency=low

  * Upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 12 Jun 2011 21:56:54 +0200

rhino (1.7R3-1) experimental; urgency=low

  * New upstream release:
    - Upstream changelog <https://developer.mozilla.org/en/New_in_Rhino_1.7R3>
    - Refresh all patches.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * d/rules: replace "rm debian/tmp" by mh_clean call.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 25 May 2011 23:43:56 +0200

rhino (1.7R3~pre-2) experimental; urgency=low

  * Fix parsing of command line arguments by using quotes.
    Thanks to Chris Lamb and Chris West for bugreport and patch
    (Closes: #609965).
  * Update rhino packaging to follow latest Debian Java Policy:
    - move javadoc to a librhino-java-doc package.
    - make rhino-doc package an empty transitional package.
    - move jar/pom to a librhino-java package (which doesn't depends
      on any java runtime).
    - keep rhino interpreter in his own rhino package with a depends
      on java5-runtime.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 12 Mar 2011 02:08:43 +0100

rhino (1.7R3~pre-1) experimental; urgency=low

  * New upstream snapshot of 1.7R3:
    - Needed by OpenJDK7 >= b126
    - d/patches/*: Refresh all patches
    - d/rules: Force version installed by mh_* tools
  * Bump Standards-Version to 3.9.1 (no changes needed)
  * Switch to 3.0 (quilt) source format

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 24 Jan 2011 19:49:04 +0100

rhino (1.7R2-4) unstable; urgency=low

  * Enable E4X support:
    - Build-Depends on libxmlbeans-java
    - Set JAR location in debian/ant.properties
    - Should fix (Closes: #567847) and (LP: #304702)
  * Bump Standards-Version to 3.8.4 (no changes needed)
  * Fix small typo in rhino-jsc manpage
  * Fix debian/copyright: don't use symlink to license

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 06 Feb 2010 21:19:47 +0100

rhino (1.7R2-3) unstable; urgency=low

  * Maven POMs:
    - debian/control: add a Build-Depends on maven-repo-helper
    - debian/rules: use mh_installpoms and mh_installjar
      to install the POM and the jar to the Maven repository
    - debian/pom.xml: Debian pom.xml file as upstream doesn't provide one
    - debian/rules: new get-orig-pom to update debian/pom.xml at new upstream
      release.
  * Bump debhelper version to >= 7
  * debian/rhino.1: Describe more precisly optimization levels and add missing
    level '-1'. Thanks to Marcus Better for notifying (Closes: #558086)
  * Remove Arnaud Vandyck from Uploaders
  * Add description to debian/patches/*.diff

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 12 Dec 2009 15:18:24 +0100

rhino (1.7R2-2) unstable; urgency=low

  * Switch to Quilt patch system:
    - Refresh all patches
    - Add B-D on quilt
    - Include patchsys-quilt.mk in debian/rules
  * Bump Standards-Version to 3.8.3:
    - Add a README.source to describe patch system
  * Add a manpage for rhino-debugger script
  * Build-Depends on default-jdk instead of default-jdk-builddep
    because we don't build a native GCJ package
  * Move api documentation to /usr/share/doc/rhino/api/
  * debian/control: Improve rhino-doc package long description
  * debian/copyright: Add missing BSD licence (3 clauses) for files under
    toolsrc/org/mozilla/javascript/tools/debugger/treetable
  * Update my email address

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 02 Oct 2009 22:23:46 +0200

rhino (1.7R2-1) unstable; urgency=low

  [ Marcus Better ]
  * Updated package descriptions.

  [ Matthias Klose ]
  * (Build-)depend on default-jre-headless/-jdk.
  * Drop alternate dependencies on java2-runtime-headless and
    java2-runtime-headless. The binary package is currently built to
    require a java5 runtime.

  [ Damien Raude-Morvan ]
  * New upstream release.
    - new 02_exclude-jdk15 patch to exclude already compiled classes
      for jdk15 rebuild: gcj doesn't handle compiling classes already
      on its classpath
    - new "rhino-debugger" launcher for Rhino Debugger Swing UI
    - update "rhino" launcher to exclude OpenJDK bundled rhino (Closes: #512498)
  * debian/{postinst,prerm }: scripts should take care of errors,
    add set -e before any instruction
  * debian/rules: add new get-orig-source target using uscan
  * debian/control:
    - Build-Depends on specialized default-jdk-builddep instead of
    default-jdk
    - Bump Standards-Version to 3.8.1: Wrap Uploaders field
    - add Depends on ${misc:Depends}

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Mon, 13 Apr 2009 02:40:15 +0200

rhino (1.7R2~pre-2) experimental; urgency=low

  * Really include the debugger. Closes: #474046. 

 -- Michael Koch <konqueror@gmx.de>  Sat, 05 Apr 2008 15:03:43 +0200

rhino (1.7R2~pre-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.
  * Enable build of debugger. Closes: #474046.

 -- Michael Koch <konqueror@gmx.de>  Fri, 04 Apr 2008 10:32:47 +0200

rhino (1.7R1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Koch <konqueror@gmx.de>  Sat, 22 Mar 2008 13:49:49 +0100

rhino (1.7R1~RC3-1) experimental; urgency=low

  * New upstream version.
  * Fixed hyphen in rhino-jsc manpage.
  * Updated watch file to handle upstream RC versions.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 19 Feb 2008 11:17:45 +0100

rhino (1.6.R7-2) unstable; urgency=low

  * Fixed bashism in debian/rules. Closes: #453766.
  * Fixed names of Homepage, Vcs-Svn and Vcs-Browser fields.
  * Added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Sat, 01 Dec 2007 11:56:31 +0100

rhino (1.6.R7-1) unstable; urgency=low

  * New upstream version.

 -- Marcus Better <marcus@better.se>  Thu, 11 Oct 2007 15:50:42 +0200

rhino (1.6.R5-3) unstable; urgency=low

  * Removed Wolfgang Baer from Uploaders and added myself.
  * Fixed FTBFS: java.net.ConnectException: Connection refused.


=== debian/control ===
Source: rhino
Section: interpreters
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Paul Cager <paul-debian@home.paulcager.org>,
  Marcus Better <marcus@better.se>, Michael Koch <konqueror@gmx.de>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 7), cdbs, ant, default-jdk, maven-repo-helper, libxmlbeans-java
Standards-Version: 3.9.2
Homepage: http://www.mozilla.org/rhino/
Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/rhino/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/rhino/

Package: rhino
Architecture: all
Depends: ${misc:Depends}, default-jre-headless (>= 1.5) | java5-runtime-headless, libjline-java,
 librhino-java (= ${source:Version})
Suggests: librhino-java-doc
Description: JavaScript engine written in Java
 Rhino is an implementation of the JavaScript language written
 entirely in Java. It is typically embedded into Java applications to
 provide scripting to end users.

Package: librhino-java
Section: java
Architecture: all
Replaces: rhino (<< 1.7R3~pre-2)
Conflicts: rhino (<< 1.7R3~pre-2)
Depends: ${misc:Depends}
Suggests: rhino
Description: Libraries for rhino Java Script Engine
 Rhino is an implementation of the JavaScript language written
 entirely in Java. It is typically embedded into Java applications to
 provide scripting to end users.
 .
 This package contains only Java library and no interpreter. For
 Rhino interpreter, you install rhino package.

Package: rhino-doc
Depends: librhino-java-doc, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package for new librhino-java-doc
 Rhino is an implementation of the JavaScript language written
 entirely in Java. It is typically embedded into Java applications to
 provide scripting to end users.
 .
 This is a dummy package for transition to new librhino-java-doc.

Package: librhino-java-doc
Section: doc
Architecture: all
Replaces: rhino-doc (<< 1.7R3~pre-2)
Conflicts: rhino-doc (<< 1.7R3~pre-2)
Depends: ${misc:Depends}
Suggests: rhino
Description: Documentation for rhino Java Script Engine
 Rhino is an implementation of the JavaScript language written
 entirely in Java. It is typically embedded into Java applications to
 provide scripting to end users.
 .
 This is the documentation, including API JavaDoc, for the Rhino
 JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME := /usr/lib/jvm/default-java
DEB_ANT_BUILD_TARGET := jar javadoc 

UVERSION	:= $(shell echo $(DEB_UPSTREAM_VERSION) | sed "s/~RC.//" | sed "s/~pre/pre/")
BUILDDIRVERSION	:= $(subst .,_,$(UVERSION))

BUILDDIR=build/rhino$(BUILDDIRVERSION)

POM_VERSION          := $(UVERSION)
MAVEN_REPO           := http://repository.sonatype.org/service/local/repositories/central/content

clean::
	rm -rf toolsrc/org/mozilla/javascript/tools/debugger/downloaded/*
	rm -rf build
	mh_clean

# The upstream build file (toolsrc/org/mozilla/javascript/tools/debugger/build.xml) downloads
# a ZIP file containing some sample swing code, which is then modified and used as part of the
# debugger. This is obviously not permitted during a Debian build.
# Fortunately the sample code is DFSG-free, so it has been included in the debian directory (in
# its modified format).  Copying it to the "downloaded" directory prevents the upstream
# build.xml from attempting to download it.
configure/rhino::
	mkdir -p toolsrc/org/mozilla/javascript/tools/debugger/downloaded
	cp debian/src_from_treetable_article_see_bug409629/AbstractCellEditor.java toolsrc/org/mozilla/javascript/tools/debugger/downloaded/
	cp debian/src_from_treetable_article_see_bug409629/JTreeTable.java toolsrc/org/mozilla/javascript/tools/debugger/downloaded/
	cp debian/src_from_treetable_article_see_bug409629/TreeTableModel.java toolsrc/org/mozilla/javascript/tools/debugger/downloaded/
	cp debian/src_from_treetable_article_see_bug409629/TreeTableModelAdapter.java toolsrc/org/mozilla/javascript/tools/debugger/downloaded/

install/librhino-java::
	mh_installpom -plibrhino-java -e$(UVERSION) debian/pom.xml
	mh_installjar -plibrhino-java -e$(UVERSION) -l debian/pom.xml $(BUILDDIR)/js.jar

install/librhino-java-doc::
	mv $(BUILDDIR)/javadoc $(BUILDDIR)/api
	dh_install -plibrhino-java-doc $(BUILDDIR)/api /usr/share/doc/rhino/

get-orig-source:
	uscan --force-download

get-orig-pom:
	wget -O debian/pom.xml $(MAVEN_REPO)/rhino/js/$(POM_VERSION)/js-$(POM_VERSION).pom

## rhino 1.7R4

=== Makefile ===
# -*- Makefile -*-
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

TEST_HTTP ?= test.mozilla.com
TEST_JS = $(shell find . -name '*.js' -print)
CURRDIR=$(shell pwd)
JSDIR=$(shell basename $(CURRDIR))

all: menu.html \
	menu-list.txt \
	spidermonkey-extensions-n.tests \
	failures.txt

menu.html: menuhead.html menufoot.html Makefile  spidermonkey-n.tests $(TEST_JS)
	perl mklistpage.pl > menubody.html
	cat menuhead.html menubody.html menufoot.html > menu.html

spidermonkey-extensions-n.tests: $(TEST_JS)
	find . -name '*.js' | grep -v shell.js | grep -v browser.js | grep '/extensions/' | sed 's|\.\/||' | sort > $@

menu-list.txt:
	echo "http://$(TEST_HTTP)/tests/mozilla.org/$(JSDIR)/menu.html" > menu-list.txt

.PHONY: patterns

public-failures.txt:
	touch $@

confidential-failures.txt:
	touch $@

universe.data:
	touch $@

confidential-universe.data:
	touch $@

patterns: confidential-failures.txt confidential-universe.data public-failures.txt universe.data
	if [[ -e confidential-failures.txt.expanded ]]; then \
		cp confidential-failures.txt confidential-failures.txt.save; \
		export TEST_UNIVERSE=$(CURRDIR)/confidential-universe.data && \
		./pattern-extracter.pl confidential-failures.txt.expanded > confidential-failures.txt; \
	fi
	if [[ -e public-failures.txt.expanded ]]; then \
		cp public-failures.txt public-failures.txt.save; \
		./pattern-extracter.pl public-failures.txt.expanded > public-failures.txt; \
	fi

public-failures.txt.expanded: public-failures.txt universe.data
	./pattern-expander.pl public-failures.txt > public-failures.txt.expanded

confidential-failures.txt.expanded: confidential-failures.txt confidential-universe.data
	export TEST_UNIVERSE=$(CURRDIR)/confidential-universe.data && \
	./pattern-expander.pl confidential-failures.txt > confidential-failures.txt.expanded

failures.txt: public-failures.txt.expanded confidential-failures.txt.expanded
	sort -u public-failures.txt.expanded confidential-failures.txt.expanded > failures.txt

clean:
	rm -f menubody.html menu.html menu-list.txt failures.txt *failures.txt.expanded excluded-*.tests included-*.tests urllist*.html urllist*.tests

=== debian/changelog ===
rhino (1.7R4-3) unstable; urgency=medium

  * Team upload
  * Apply pull request https://github.com/mozilla/rhino/pull/138 to get
    798642 and 800616 bug fixed. Necessary for jscover package
  * Update the uploader list (Closes: #741281)
  * d/control: Bump Standards-Version to 3.9.5 (no changes needed).

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 02 Jun 2014 18:06:04 +0200

rhino (1.7R4-2) unstable; urgency=low

  * Upload to unstable.
   - closure-compiler FTBFS will be fixed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 17 Aug 2013 11:55:09 +0200

rhino (1.7R4-1) experimental; urgency=low

  [ Thomas Koch ]
  * New upstream version (Closes: #699352, #661277, #630341).
  * Switched packaging to Git

  [ Damien Raude-Morvan ]
  * d/copyright: Update license to MPL 2.0.
  * d/control: Bump Standards-Version to 3.9.4 (no changes needed).
  * Add lintian overrides for
    'copyright-should-refer-to-common-license-file-for-gpl'.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 16 Feb 2013 22:46:55 +0100

rhino (1.7R3-5) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Making getSourcePositionFromStack public (used by geogebra).
    Closes: #659619.

  [ Damien Raude-Morvan ]
  * Upload to unstable.
  * Remove Michael Koch from Uploaders (Closes: #654130).
  * d/control: Wrap-and-sort

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 13 Feb 2012 23:52:51 +0100

rhino (1.7R3-4) unstable; urgency=low

  * Add OSGi metadata to jar manifest
  * Add javahelper to Build-Depends:
  * Add Jakub Adam to Uploaders:

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 23 Nov 2011 10:21:50 +0100

rhino (1.7R3-3) unstable; urgency=low

  * Since OpenJDK{6,7} now use a mangled version of Rhino
    (in "sun.org.mozilla.rhino" package), there is no need to override
    bootclasspath :
    - Fix "Incorrect classpath prevents running on AMD64" (Closes: #649131)
    - Fix "js: Error occurred during initialization ov VM" (Closes: #649281)

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 20 Nov 2011 12:15:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,27 @@
 Section: interpreters
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Paul Cager <paul-debian@home.paulcager.org>,
-  Marcus Better <marcus@better.se>, Michael Koch <konqueror@gmx.de>, Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, ant, default-jdk, maven-repo-helper, libxmlbeans-java
-Standards-Version: 3.9.2
+Uploaders: Marcus Better <marcus@better.se>,
+           Damien Raude-Morvan <drazzib@debian.org>,
+           Jakub Adam <jakub.adam@ktknet.cz>
+Build-Depends: ant,
+               cdbs,
+               debhelper (>= 7),
+               default-jdk,
+               javahelper,
+               libxmlbeans-java,
+               maven-repo-helper
+Standards-Version: 3.9.5
 Homepage: http://www.mozilla.org/rhino/
-Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/rhino/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/rhino/
+Vcs-Git: git://anonscm.debian.org/pkg-java/rhino.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/rhino.git
 
 Package: rhino
 Architecture: all
-Depends: ${misc:Depends}, default-jre-headless (>= 1.5) | java5-runtime-headless, libjline-java,
- librhino-java (= ${source:Version})
+Depends: default-jre-headless (>= 1.5) | java5-runtime-headless,
+         libjline-java,
+         librhino-java (= ${source:Version}),
+         ${misc:Depends}
 Suggests: librhino-java-doc
 Description: JavaScript engine written in Java
  Rhino is an implementation of the JavaScript language written

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/javahelper.mk
 include /usr/share/cdbs/1/class/ant.mk
 
 JAVA_HOME := /usr/lib/jvm/default-java

## rhino 1.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.6.0
+Version: 1.7.0
 Authors@R: 
   c(
     person("Kamil", "Żyła", role = c("aut", "cre"), email = "opensource+kamil@appsilon.com"),
@@ -9,6 +9,7 @@
     person("Marek", "Rogala", role = "aut", email = "marek@appsilon.com"),
     person("Recle", "Vibal", role = "aut", email = "recle.vibal@appsilon.com"),
     person("Tymoteusz", "Makowski", role = "aut", email = "tymoteusz@appsilon.com"),
+    person("Rodrigo", "Basa", role = "aut", email = "rodrigo@appsilon.com"),
     person("Eduardo", "Almeida", role = "ctb", email = "eduardo@appsilon.com"),
     person("Appsilon Sp. z o.o.", role = "cph", email = "opensource@appsilon.com")
   )
@@ -22,23 +23,24 @@
 Depends: R (>= 2.10)
 Imports: box (>= 1.1.3), cli, config, fs, glue, lintr (>= 3.0.0),
         logger, purrr, renv, rstudioapi, sass, shiny, styler, testthat
-        (>= 3.0.0), utils, withr, yaml
-Suggests: covr, knitr, mockery, rcmdcheck, rmarkdown, shiny.react,
-        spelling
+        (>= 3.0.0), utils, withr, xml2, yaml
+Suggests: covr, knitr, mockery, rcmdcheck, rex, rlang, rmarkdown,
+        shiny.react, spelling
 LazyData: true
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 Language: en-US
 NeedsCompilation: no
-Packaged: 2024-01-24 17:02:48 UTC; kamil
+Packaged: 2024-02-22 15:27:36 UTC; kamil
 Author: Kamil Żyła [aut, cre],
   Jakub Nowicki [aut],
   Leszek Siemiński [aut],
   Marek Rogala [aut],
   Recle Vibal [aut],
   Tymoteusz Makowski [aut],
+  Rodrigo Basa [aut],
   Eduardo Almeida [ctb],
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Żyła <opensource+kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2024-01-24 17:30:02 UTC
+Date/Publication: 2024-02-22 16:00:02 UTC

## rhino 1.7.7.1

=== debian/changelog ===
rhino (1.7.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Removed 04_bug_798642_800616.diff (fixed upstream)
    - Removed the build dependency on libxmlbeans-java
    - Require a Java 6 runtime or higher
    - Use the pom from the upstream sources to install the Maven artifacts,
      and relocate the old coordinates rhino:js to org.mozilla:rhino
    - Reintroduced some removed classes and methods to preserve the backward
      compatibility and fix build failures in reverse dependencies.
    - Fixed a bug in Context.getImplementationVersion() when the project
      is built with Ant
  * Removed the transitional package rhino-doc
  * Updated the man pages (Closes: #792243)
  * Build with the DH sequencer instead of CDBS
  * Simplified the usage syntax displayed with the --help option
  * Removed the out of tree debugger classes (merged upstream)
  * Ignore the Lintian warnings on the test files (false positives)
  * Install the upstream changelog
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs
  * Track and download the new releases from GitHub
  * Converted debian/copyright to the Copyright Format 1.0
  * Removed the unused Lintian overrides

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Jan 2017 11:04:18 +0100

rhino (1.7R4-4) unstable; urgency=medium

  * Add a symlink /usr/share/java/rhino.jar which points to js.jar

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Jun 2014 13:19:15 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,18 @@
            Damien Raude-Morvan <drazzib@debian.org>,
            Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends: ant,
-               cdbs,
-               debhelper (>= 7),
+               debhelper (>= 10),
                default-jdk,
                javahelper,
-               libxmlbeans-java,
                maven-repo-helper
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/rhino.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/rhino.git
 Homepage: http://www.mozilla.org/rhino/
-Vcs-Git: git://anonscm.debian.org/pkg-java/rhino.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/rhino.git
 
 Package: rhino
 Architecture: all
-Depends: default-jre-headless (>= 1.5) | java5-runtime-headless,
+Depends: default-jre-headless (>= 1:1.6) | java6-runtime-headless,
          libjline-java,
          librhino-java (= ${source:Version}),
          ${misc:Depends}
@@ -44,17 +42,6 @@
  This package contains only Java library and no interpreter. For
  Rhino interpreter, you install rhino package.
 
-Package: rhino-doc
-Depends: librhino-java-doc, ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional dummy package for new librhino-java-doc
- Rhino is an implementation of the JavaScript language written
- entirely in Java. It is typically embedded into Java applications to
- provide scripting to end users.
- .
- This is a dummy package for transition to new librhino-java-doc.
-
 Package: librhino-java-doc
 Section: doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

VERSION  = $(shell dpkg-parsechangelog --show-field Version | sed -rne 's/([^-]+).*/\1/p')
BUILDDIR = build/rhino$(VERSION)

%:
	dh $@ --with javahelper --with maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- jar javadoc

override_dh_installchangelogs:
	dh_installchangelogs -- RELEASE-NOTES.md

override_mh_install:
	mh_installpom -plibrhino-java maven/maven-pom.xml --no-parent --relocate=rhino:js
	mh_installjar -plibrhino-java -l maven/maven-pom.xml --usj-name=js $(BUILDDIR)/js.jar

override_dh_install:
	dh_install

	mv $(BUILDDIR)/javadoc $(BUILDDIR)/api
	dh_install -plibrhino-java-doc $(BUILDDIR)/api /usr/share/doc/rhino/

get-orig-source:
	uscan --force-download

=== debian/watch ===
version=4
opts=mode=git,compression=xz,uversionmangle=s/-RC/~RC/;s/pre/~pre/;s/_/./g;s/14R/1.4R/;s/140R/1.4.0R/;s/150R/1.5.0R/ \
https://github.com/mozilla/rhino refs/tags/Rhino([\d_.R]+)_RELEASE

## rhino 1.7.7.2

=== debian/changelog ===
rhino (1.7.7.2-3) unstable; urgency=medium

  * Team upload.
  * Backported the JSR 223 script engine to use Rhino as a replacement
    for Nashorn with OpenJDK 17
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Feb 2021 11:39:29 +0100

rhino (1.7.7.2-2) UNRELEASED; urgency=medium

  * Team upload.
  * Add patch to install JAR as 1.7.7.2 (not 1.7.7.1)

 -- tony mancill <tmancill@debian.org>  Wed, 25 Nov 2020 12:02:51 -0800

rhino (1.7.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889449)
  * Track the releases > 1.7.7.1
  * Standards-Version updated to 4.5.0
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 03 Sep 2020 13:59:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,27 @@
 Section: interpreters
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Marcus Better <marcus@better.se>,
-           Damien Raude-Morvan <drazzib@debian.org>,
-           Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: ant,
-               debhelper (>= 10),
-               default-jdk,
-               javahelper,
-               maven-repo-helper
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/rhino.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/rhino.git
+Uploaders:
+ Marcus Better <marcus@better.se>,
+ Jakub Adam <jakub.adam@ktknet.cz>
+Build-Depends:
+ ant,
+ debhelper-compat (= 13),
+ default-jdk,
+ javahelper,
+ maven-repo-helper
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/java-team/rhino.git
+Vcs-Browser: https://salsa.debian.org/java-team/rhino
 Homepage: http://www.mozilla.org/rhino/
 
 Package: rhino
 Architecture: all
-Depends: default-jre-headless (>= 1:1.6) | java6-runtime-headless,
-         libjline-java,
-         librhino-java (= ${source:Version}),
-         ${misc:Depends}
+Depends:
+ default-jre-headless (>= 1:1.6) | java6-runtime-headless,
+ libjline-java,
+ librhino-java (= ${source:Version}),
+ ${misc:Depends}
 Suggests: librhino-java-doc
 Description: JavaScript engine written in Java
  Rhino is an implementation of the JavaScript language written

=== debian/watch ===
version=4
opts=mode=git,compression=xz,uversionmangle=s/-RC/~RC/;s/pre/~pre/;s/_/./g;s/14R/1.4R/;s/140R/1.4.0R/;s/150R/1.5.0R/ \
https://github.com/mozilla/rhino refs/tags/Rhino([\d_.R]+)_(?:RELEASE|Release)

## rhino 1.7.14

=== debian/changelog ===
rhino (1.7.14-2) unstable; urgency=medium

  * Team upload.
  * Update librhino-java.manifest so that it matches the upstream one.
  * Install the missing bundle resources. This caused a runtime error when
    running the rhino script. (Closes: #1031432)

 -- Markus Koschany <apo@debian.org>  Sat, 18 Feb 2023 00:46:00 +0100

rhino (1.7.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.7.14.
    - Fix FTBFS with OpenJDK 17. (Closes: #1026639)
  * Declare compliance with Debian Policy 4.6.2.
  * d/control: Change homepage field to github repository because
    the old URL can no longer be found. (Closes: #1029166)
  * d/rules: Change source level to 8 and target Java 8.
  * Drop 07_fix-context-implementation-version.patch
  * Drop 08_fix-jar-version-number.patch
  * Drop script-engine.patch.
  * Refresh preserve-backward-compatibility.patch and
    public_getSourcePositionFromStack.patch because reverse-dependencies in
    Debian still require them.
  * Drop librhino-java-doc binary package.
  * Use javahelper instead of ant to build the jar file.
  * Add debian/pom.xml.
  * Install upstream's rhino.1 manpage.

 -- Markus Koschany <apo@debian.org>  Mon, 13 Feb 2023 14:44:17 +0100

=== debian/control ===
Source: rhino
Section: interpreters
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Marcus Better <marcus@better.se>,
 Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 maven-repo-helper
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/rhino.git
Vcs-Browser: https://salsa.debian.org/java-team/rhino
Homepage: https://github.com/mozilla/rhino

Package: rhino
Architecture: all
Depends:
 default-jre-headless | java9-runtime-headless,
 libjline-java,
 librhino-java (= ${source:Version}),
 ${misc:Depends}
Description: JavaScript engine written in Java
 Rhino is an implementation of the JavaScript language written
 entirely in Java. It is typically embedded into Java applications to
 provide scripting to end users.

Package: librhino-java
Section: java
Architecture: all
Depends: ${misc:Depends}
Suggests: rhino
Description: Libraries for rhino Java Script Engine
 Rhino is an implementation of the JavaScript language written
 entirely in Java. It is typically embedded into Java applications to
 provide scripting to end users.
 .
 This package contains only Java library and no interpreter. For
 Rhino interpreter, you install rhino package.

## rhino 1.7.15

=== debian/changelog ===
rhino (1.7.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 23 Oct 2024 16:34:49 +0200

rhino (1.7.14-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add versioned Breaks on shrinksafe (Closes: #977027)

 -- Paul Gevers <elbrus@debian.org>  Thu, 06 Apr 2023 13:10:20 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  default-jdk,
  javahelper,
  maven-repo-helper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/rhino.git
 Vcs-Browser: https://salsa.debian.org/java-team/rhino
 Homepage: https://github.com/mozilla/rhino
@@ -31,6 +31,7 @@
 Section: java
 Architecture: all
 Depends: ${misc:Depends}
+Breaks: shrinksafe (<< 1.17.2+dfsg1-2.1~)
 Suggests: rhino
 Description: Libraries for rhino Java Script Engine
  Rhino is an implementation of the JavaScript language written

## rhino 1.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.7.0
+Version: 1.8.0
 Authors@R: 
   c(
     person("Kamil", "Żyła", role = c("aut", "cre"), email = "opensource+kamil@appsilon.com"),
@@ -21,9 +21,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 Depends: R (>= 2.10)
-Imports: box (>= 1.1.3), cli, config, fs, glue, lintr (>= 3.0.0),
-        logger, purrr, renv, rstudioapi, sass, shiny, styler, testthat
-        (>= 3.0.0), utils, withr, xml2, yaml
+Imports: box (>= 1.1.3), box.linters (>= 0.9.1), cli, config, fs, glue,
+        lintr (>= 3.0.0), logger, purrr, renv, rstudioapi, sass, shiny,
+        styler, testthat (>= 3.0.0), utils, withr, yaml
 Suggests: covr, knitr, mockery, rcmdcheck, rex, rlang, rmarkdown,
         shiny.react, spelling
 LazyData: true
@@ -31,7 +31,7 @@
 Config/testthat/parallel: true
 Language: en-US
 NeedsCompilation: no
-Packaged: 2024-02-22 15:27:36 UTC; kamil
+Packaged: 2024-06-06 06:44:45 UTC; kuba
 Author: Kamil Żyła [aut, cre],
   Jakub Nowicki [aut],
   Leszek Siemiński [aut],
@@ -43,4 +43,4 @@
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Żyła <opensource+kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2024-02-22 16:00:02 UTC
+Date/Publication: 2024-06-06 07:30:01 UTC

## rhino 1.9.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.8.0
+Version: 1.9.0
 Authors@R: 
   c(
     person("Kamil", "Żyła", role = c("aut", "cre"), email = "opensource+kamil@appsilon.com"),
@@ -19,7 +19,7 @@
 BugReports: https://github.com/Appsilon/rhino/issues
 License: LGPL-3
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Depends: R (>= 2.10)
 Imports: box (>= 1.1.3), box.linters (>= 0.9.1), cli, config, fs, glue,
         lintr (>= 3.0.0), logger, purrr, renv, rstudioapi, sass, shiny,
@@ -31,7 +31,7 @@
 Config/testthat/parallel: true
 Language: en-US
 NeedsCompilation: no
-Packaged: 2024-06-06 06:44:45 UTC; kuba
+Packaged: 2024-07-10 13:36:57 UTC; kamil
 Author: Kamil Żyła [aut, cre],
   Jakub Nowicki [aut],
   Leszek Siemiński [aut],
@@ -43,4 +43,4 @@
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Żyła <opensource+kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2024-06-06 07:30:01 UTC
+Date/Publication: 2024-07-10 14:10:02 UTC

## rhino 1.10.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.9.0
+Version: 1.10.0
 Authors@R: 
   c(
     person("Kamil", "Żyła", role = c("aut", "cre"), email = "opensource+kamil@appsilon.com"),
@@ -19,11 +19,11 @@
 BugReports: https://github.com/Appsilon/rhino/issues
 License: LGPL-3
 Encoding: UTF-8
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 Depends: R (>= 2.10)
-Imports: box (>= 1.1.3), box.linters (>= 0.9.1), cli, config, fs, glue,
-        lintr (>= 3.0.0), logger, purrr, renv, rstudioapi, sass, shiny,
-        styler, testthat (>= 3.0.0), utils, withr, yaml
+Imports: box (>= 1.1.3), box.linters (>= 0.10.5), box.lsp, cli, config,
+        fs, glue, lintr (>= 3.0.0), logger, purrr, renv, rstudioapi,
+        sass, shiny, styler, testthat (>= 3.0.0), utils, withr, yaml
 Suggests: covr, knitr, mockery, rcmdcheck, rex, rlang, rmarkdown,
         shiny.react, spelling
 LazyData: true
@@ -31,7 +31,7 @@
 Config/testthat/parallel: true
 Language: en-US
 NeedsCompilation: no
-Packaged: 2024-07-10 13:36:57 UTC; kamil
+Packaged: 2024-09-10 21:14:14 UTC; kuba
 Author: Kamil Żyła [aut, cre],
   Jakub Nowicki [aut],
   Leszek Siemiński [aut],
@@ -43,4 +43,4 @@
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Żyła <opensource+kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2024-07-10 14:10:02 UTC
+Date/Publication: 2024-09-10 21:30:02 UTC

## rhino 1.10.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.10.0
+Version: 1.10.1
 Authors@R: 
   c(
     person("Kamil", "Żyła", role = c("aut", "cre"), email = "opensource+kamil@appsilon.com"),
@@ -31,7 +31,7 @@
 Config/testthat/parallel: true
 Language: en-US
 NeedsCompilation: no
-Packaged: 2024-09-10 21:14:14 UTC; kuba
+Packaged: 2024-09-19 07:05:37 UTC; kuba
 Author: Kamil Żyła [aut, cre],
   Jakub Nowicki [aut],
   Leszek Siemiński [aut],
@@ -43,4 +43,4 @@
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Żyła <opensource+kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2024-09-10 21:30:02 UTC
+Date/Publication: 2024-09-20 11:50:06 UTC

## rhino 1.11.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rhino
 Title: A Framework for Enterprise Shiny Applications
-Version: 1.10.1
+Version: 1.11.0
 Authors@R: 
   c(
     person("Kamil", "Żyła", role = c("aut", "cre"), email = "opensource+kamil@appsilon.com"),
@@ -21,17 +21,18 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 Depends: R (>= 2.10)
-Imports: box (>= 1.1.3), box.linters (>= 0.10.5), box.lsp, cli, config,
-        fs, glue, lintr (>= 3.0.0), logger, purrr, renv, rstudioapi,
-        sass, shiny, styler, testthat (>= 3.0.0), utils, withr, yaml
-Suggests: covr, knitr, mockery, rcmdcheck, rex, rlang, rmarkdown,
-        shiny.react, spelling
+Imports: box (>= 1.1.3), box.linters (>= 0.10.5), box.lsp, callr, cli,
+        config, fs, glue, lintr (>= 3.0.0), logger, purrr, renv,
+        rstudioapi, sass, shiny, styler, testthat (>= 3.0.0), utils,
+        withr, yaml
+Suggests: covr, knitr, lifecycle, mockery, rcmdcheck, rex, rlang,
+        rmarkdown, shiny.react, spelling
 LazyData: true
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 Language: en-US
 NeedsCompilation: no
-Packaged: 2024-09-19 07:05:37 UTC; kuba
+Packaged: 2025-04-02 07:15:43 UTC; kuba
 Author: Kamil Żyła [aut, cre],
   Jakub Nowicki [aut],
   Leszek Siemiński [aut],
@@ -43,4 +44,4 @@
   Appsilon Sp. z o.o. [cph]
 Maintainer: Kamil Żyła <opensource+kamil@appsilon.com>
 Repository: CRAN
-Date/Publication: 2024-09-20 11:50:06 UTC
+Date/Publication: 2025-04-02 07:30:02 UTC
